﻿

jQuery(function(){
    flikScrollEffect();

    jQuery('.flik-slider-container .flik-slider').bxSlider();
    jQuery('.flik-thumbnails-slider').magnificPopup({
        delegate: 'a',
        type: 'image',
        image: {
            titleSrc: 'title'
        },
        gallery: {
            enabled: true,
            preload: [0, 1],
            navigateByImgClick: true
        }
    });
});


function flikScrollEffect() {
    _selector=jQuery('.flik-timeline');
    _selector.children('li').each(function () {
        _element = jQuery(this);
        if (_element.offset().top > jQuery(window).scrollTop() + jQuery(window).height() * 0.75) {
            _element.addClass('is-hidden');
        }
    });
    _anim = _selector.data('scroll-effect');
    jQuery(window).on('scroll', function () {
        _selector.children('li').each(function () {
            if (jQuery(this).offset().top <= (jQuery(window).scrollTop() + jQuery(window).height() * 0.75) && jQuery(this).hasClass('is-hidden')) {
                jQuery(this).removeClass('is-hidden').addClass(_anim);
            }
        });
    });
}
