<?php
/*
Plugin Name: Flik - Timeline
Description: Flik Timeline is a responsive wordpress plugin that allows you to create beautiful verticle storyline. You simply create posts, set images and date then Flik Timeline will automatically populate these posts in chronological order, based on the year and date.
Plugin URI: http://timeline.cidcode.net
Version: 1.0
Author: Rufat Askerov
Author URI: http://cidcode.net
*/

if (!defined('ABSPATH')) exit;

if (!defined('FLIK_TIMELINE_SLUG')) {
    define('FLIK_TIMELINE_SLUG', 'flik-timeline');
    define('FLIK_TIMELINE_TAXONOMY', 'flik_timeline_categories');
    define('FLIK_TIMELINE_POST_TYPE', 'flik_timeline');
    define('FLIK_TIMELINE_VERSION', '1.0');
    define('FLIK_TIMELINE_FILE', __FILE__);
    define('FLIK_TIMELINE_PATH', plugin_dir_path(__FILE__));
    define('FLIK_TIMELINE_URL', plugin_dir_url(__FILE__));
    define('FLIK_TIMELINE_PLUGIN_SLUG', plugin_basename(__FILE__));
    define('FLIK_TIMELINE_TEXTDOMAIN', 'flik');
}




require_once(FLIK_TIMELINE_PATH . '/includes/flik-defaults.php');
require_once(FLIK_TIMELINE_PATH . '/includes/flik-admin.php');
require_once(FLIK_TIMELINE_PATH . '/includes/flik-shortcode.php');
?>
